<?php
class BuzzAdvertsAddedIsGlobal extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'BuzzAdverts_added_is_global';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'adverts' => array(
					'is_global' => array('type' => 'boolean', 'null' => false, 'default' => '0', 'after' => 'is_protected'),
				),
			),
			'alter_field' => array(
				'adverts' => array(
					'subheading_text' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 150, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'adverts' => array('is_global'),
			),
			'alter_field' => array(
				'adverts' => array(
					'subheading_text' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 45, 'collate' => 'utf8_unicode_ci', 'charset' => 'utf8'),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
